<!doctype html>
<html lang="en">
  {% load static %}
  <head>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <link rel="stylesheet" href="{% static 'css/style.css'%}">
    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/css/bootstrap.min.css" integrity="sha384-JcKb8q3iqJ61gNV9KGb8thSsNjpSL0n8PARn9HuZOnIxN0hoP+VmmDGMN5t9UJ0Z" crossorigin="anonymous">

    <title>Hello, world!</title>
  </head>
  <body class="container" id="contain" style="background-color: #b8f2e6;">
      <div class="row" style="background-color: #aed9e0;">
        <div class="col">
          <div class="h1 text-center" style="font-weight:bold"> Tambah Jadwalmu!</div>
          <form action="{% url 'story5:addJadwal' %}" method="POST" role="form">
            {% csrf_token %}
            <div class="form-group">
              <label for="mataKuliah">Nama Mata Kuliah</label>
              {{form.mataKuliah}}
            </div>
            <div class="form-group">
              <label for="namaDosen">Nama Dosen</label>
              {{form.namaDosen}}
            </div>
            <div class="form-group">
              <label for="deskMatkul">Deskripsi Mata Kuliah</label>
              {{form.deskMatkul}}
              <div class="form-group">
                <label for="jumlahSKS">Ruang Kelas</label>
                {{form.ruangKelas}}
              </div>
            </div>
            <div class="form-group">
              <label for="tahun">Tahun</label>
              {{form.tahun}}
            </div>
            <div class="form-group">
              <label for="jumlahSKS">Jumlah SKS</label>
              {{form.jumlahSKS}}
            </div>
            <button type="submit" class="btn btn-primary">Tambah</button>
          </form>
        </div>
      </div>
    </div>

      
      <div class="row" style="margin-top: 20px;">
        <div class="col";>
          <div class="h2 text" style="font-weight:bold"> Daftar Mata Kuliah</div>
            <ul class="list-group">
            {% for jadwal in jadwal_list %}
              <li class="list-group-item">
                  {{jadwal.mataKuliah}}
              <div class="float-right">
                <a href="{% url 'story5:deleteJadwal' jadwal.id %}" >
                  <button type="button" class="btn btn-danger btn-sm">Hapus</button>
                </a>
              </div>
              <div class="float-right">
                <a href="{% url 'story5:detail' jadwal.id %}">
                  <button type="button" class="btn btn-info btn-sm" style="margin-right: 10px;">Detail</button>
                </a>
              </div>
            </li>
            {% endfor %}
          </ul>
        </div>
      </div>
      
    <!-- Optional JavaScript -->
    <!-- jQuery first, then Popper.js, then Bootstrap JS -->
    <script src="https://code.jquery.com/jquery-3.5.1.slim.min.js" integrity="sha384-DfXdz2htPH0lsSSs5nCTpuj/zy4C+OGpamoFVy38MVBnE+IbbVYUew+OrCXaRkfj" crossorigin="anonymous"></script>
    <script src="https://cdn.jsdelivr.net/npm/popper.js@1.16.1/dist/umd/popper.min.js" integrity="sha384-9/reFTGAW83EW2RDu2S0VKaIzap3H66lZH81PoYlFhbGU+6BZp6G7niu735Sk7lN" crossorigin="anonymous"></script>
    <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.5.2/js/bootstrap.min.js" integrity="sha384-B4gt1jrGC7Jh4AgTPSdUtOBvfO8shuf57BaghqFfPlYxofvL8/KUEfYiJOMMV+rV" crossorigin="anonymous"></script>
  </body>
</html>